Name:		xenserverjava
Version:	5.6.100.1
Release:	8%{?dist}
Summary:	Java SDK for XenServer

License:	GPLv2 with exceptions
URL:		http://citrix.com
Source0:	http://community.citrix.com/download/attachments/38633496/XenServerJava-5.6.100-1-src.zip
Patch0:		%{name}-makefile.patch

BuildRequires:	java-devel >= 1:1.6.0 
BuildRequires:	jpackage-utils
BuildRequires:	xmlrpc3-common
BuildRequires:	xmlrpc3-client
BuildRequires:	ws-commons-util
BuildRequires:	dos2unix
Requires:	java-headless >= 1:1.6.0
Requires:	jpackage-utils
Requires:	xmlrpc3-common
Requires:	xmlrpc3-client
Requires:	ws-commons-util

BuildArch:	noarch

%description
XenServer Java SDK for utilizing the XML-RPC interface of XenServer. 

%package javadoc
Summary:	Javadoc for %{name}

%description javadoc
Javadoc for %{name}

%prep
%setup -qn XenServerJava
%patch0 -p1 
dos2unix README.txt

%build
make %{?_smp_mflags}
make docs

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}
install -m 644 xenserver-5.6.100-1.jar \
  $RPM_BUILD_ROOT%{_javadir}/xenserver.jar

#javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -a doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}/

%files
%{_javadir}/xenserver.jar
%doc README.txt LICENSE.txt GPL-2

%files javadoc
%doc LICENSE.txt
%{_javadocdir}/*


%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.6.100.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 25 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 5.6.100.1-7
- Move to java-headless
- Resolves: rhbz#1068598

* Tue Jan 07 2014 Michael Simacek <msimacek@redhat.com> - 5.6.100.1-6
- Adapt to current packaging guidelines (rhbz#1022171)
- Fix compat symlink on classpath

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.6.100.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.6.100.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.6.100.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.6.100.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri May 27 2011 David Nalley <david@gnsa.us> - 5.6.100.1
- Initial packaging
